.body {
  background-color: black;
}

.board {
  width: 1743px;
  background: no-repeat;
  background-color: black;
  margin: 0 auto;
  width: 1200px;
  height: 100vh;
  background-image: url("/1669240956579063.png");
}

* {
  margin: 0;
  padding: 0;
}

.btnDeck {
  position: absolute;
  top: 40%;
  left: 10%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(245, 159, 79);
  margin-top: 10px;
  min-width: 100px;
  min-height: 25px;
}

.btnDeckDisabled {
  position: absolute;
  top: 40%;
  left: 10%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(167, 167, 167);
  margin-top: 10px;
  min-width: 100px;
  min-height: 25px;
}

.btnDeck:hover {
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(255, 183, 115);
  margin-top: 10px;
}

.btnDeck:active {
  transform: scale(0.9);
}

.btnDeal {
  position: absolute;
  top: 45%;
  left: 10%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(56, 197, 80);
  margin-top: 10px;
  min-width: 100px;
  min-height: 25px;
}

.btnDealDisabled {
  position: absolute;
  top: 45%;
  left: 10%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(167, 167, 167);
  margin-top: 10px;
  min-width: 100px;
  min-height: 25px;
}

.btnDeal:hover {
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(56, 197, 80);
  margin-top: 10px;
}

.btnDeal:active {
  transform: scale(0.9);
}

.btnTrade {
  position: absolute;
  top: 50%;
  left: 10%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(220, 245, 79);
  margin-top: 10px;
  min-width: 100px;
  min-height: 25px;
}

.btnTradeDisabled {
  position: absolute;
  top: 50%;
  left: 10%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(167, 167, 167);
  margin-top: 10px;
  min-width: 100px;
  min-height: 25px;
}

.btnTrade:hover {
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(220, 245, 79);
  margin-top: 10px;
}

.btnTrade:active {
  transform: scale(0.9);
}

.btnRate {
  position: absolute;
  top: 55%;
  left: 10%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(79, 234, 245);
  margin-top: 10px;
  min-width: 100px;
  min-height: 25px;
}

.btnRateDisabled {
  position: absolute;
  top: 55%;
  left: 10%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(167, 167, 167);
  margin-top: 10px;
  min-width: 100px;
  min-height: 25px;
}

.btnRate:hover {
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(79, 234, 245);
  margin-top: 10px;
}

.btnRate:active {
  transform: scale(0.9);
}

.btnNewGame {
  position: absolute;
  top: 60%;
  left: 10%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(107, 245, 79);
  margin-top: 10px;
  min-width: 100px;
  min-height: 25px;
}

.btnNewGameDisabled {
  position: absolute;
  top: 60%;
  left: 10%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(167, 167, 167);
  margin-top: 10px;
  min-width: 100px;
  min-height: 25px;
}

.btnNewGame:hover {
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgb(220, 245, 79);
  margin-top: 10px;
}

.btnNewGame:active {
  transform: scale(0.9);
}

.PlayerOneWrapper {
  position: absolute;
  top: 85%;
  left: 35%;
  display: flex;
  justify-content: space-evenly;
  width: 600px;
  height: 120px;
}

.PlayerTwoWrapper {
  position: absolute;
  top: 10%;
  left: 35%;
  display: flex;
  justify-content: space-evenly;
  width: 600px;
  height: 120px;
}

.cardPlayerOne {
  margin-top: 25px;
  border-radius: 20px;
  font-size: large;
  background-color: rgb(121, 164, 255);
  height: 70px;
  min-width: 100px;
  padding-left: 10px;
}

.cardPlayerTwo {
  margin-top: 25px;
  border-radius: 25px;
  font-size: large;
  background-color: rgb(230, 45, 45);
  height: 70px;
  min-width: 100px;
  padding-left: 10px;
  color: rgba(240, 255, 255, 0.884);
}

.cardPlayerOneSelected {
  margin-top: 5px;
  border-radius: 20px;
  font-size: large;
  background-color: rgb(121, 164, 255);
  height: 70px;
  min-width: 100px;
  padding-left: 10px;
}

.cardPlayerTwoSelected {
  margin-top: 5px;
  border-radius: 25px;
  font-size: large;
  background-color: rgb(230, 45, 45);
  height: 70px;
  min-width: 100px;
  padding-left: 10px;
  color: rgba(240, 255, 255, 0.884);
}

.playerOne {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  font-size: 20px;
  background-color: rgb(121, 164, 255);
  height: 70px;
  min-width: 100px;
  padding-left: 10px;
}

.playerTwo {
  display: flex;
  justify-content: center;
  align-items: center;
  border-radius: 20px;
  font-size: 20px;
  background-color: rgb(230, 45, 45);
  height: 70px;
  min-width: 100px;
  padding-left: 10px;
  color: white;
}
.ratePlayer1 {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgb(121, 164, 255);
  border-radius: 20px;
  position: absolute;
  top: 70%;
  left: 46%;
  width: 185px;
  height: 30px;
  font-size: large;
  color: rgb(0, 0, 0);
}

.ratePlayer2 {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgb(230, 45, 45);
  border-radius: 20px;
  position: absolute;
  top: 30%;
  left: 46%;
  width: 185px;
  height: 30px;
  font-size: large;
  color: white;
}

.winner {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgb(226, 223, 40);
  border: 2px solid rgb(0, 0, 0);
  border-radius: 20px;
  position: absolute;
  top: 50%;
  left: 44.5%;
  width: 250px;
  height: 35px;
  font-size: large;
  color: rgb(0, 0, 0);
}

.noCards {
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: rgb(226, 139, 40);
  border: 2px solid rgb(0, 0, 0);
  border-radius: 10px;
  position: absolute;
  top: 40%;
  left: 44.5%;
  width: 250px;
  height: 35px;
  font-size: large;
  color: rgb(0, 0, 0);
}

.refreshButton {
  position: absolute;
  top: 45%;
  left: 48.5%;
  color: rgb(0, 0, 0);
  border: 1px solid black;
  border-radius: 30px;
  cursor: pointer;
  background-color: rgba(255, 255, 255, 0.801);
  margin-top: 10px;
  min-width: 100px;
  min-height: 30px;
}

.refreshButton:active {
  transform: scale(0.9);
}

.selectedCardPlayerOne {
  border-radius: 20px;
  font-size: large;
  background-color: rgb(252, 255, 80);
  min-width: 100px;
  padding-left: 10px;
}

.selectedCardPlayerTwo {
  border-radius: 20px;
  font-size: large;
  background-color: rgb(255, 179, 80);
  min-width: 100px;
  padding-left: 10px;
  color: rgba(240, 255, 255, 0.884);
}
